polybori::groebner::IsVariableOfIndex Class Reference

`#include <IsVariableOfIndex.h>`

## Public Member Functions

| IsVariableOfIndex (idx_type value)
bool | operator() (const PolyEntry &rhs) const

## Detailed Description

Check whether a `PolyEntry` is actually a variable of a given index.

## Constructor & Destructor Documentation

polybori::groebner::IsVariableOfIndex::IsVariableOfIndex | ( | idx_type | value) |  |

inline

## Member Function Documentation

bool polybori::groebner::IsVariableOfIndex::operator() | ( | const PolyEntry & | rhs) |  | const

inline

References polybori::BooleExponent::begin(), polybori::BooleExponent::deg(), polybori::groebner::PolyEntry::isSingleton(), and polybori::groebner::PolyEntryBase::usedVariables.

The documentation for this class was generated from the following file:

- IsVariableOfIndex.h